AOWP_AspectManager (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.AOWP_AspectManager
/aspect/AspectManager.class.php at line 14

# Class AOWP_AspectManager

    AOWP_AspectManager

public class AOWP_AspectManager

ユーザが定義したアスペクトのパス情報を管理し、指定した名前のアスペクトの定義ファイルのinclude処理を行います。 アスペクトのパス情報は、織り込み時に設定され、serialize関数を用いて保存されます。 実行時には、unserialize関数を用いて、織り込み時に作成したインスタンスを利用します。

Field Summary
final str | ASPECT_DEFINITION_FILE_PATERN
final str | SERIALIZATION_FILE_NAME
final str | WEAVER_GENERATE_ASPECT_FOLDER
private mixed | $_aspectFileMap
private mixed | $_weaverGenerateAspectFileMap

Method Summary
private void | _getAspectFilePath(mixed aspectName)
private static void | _getAspectName(mixed filePath)
private static void | _getRelativePathFromAspectFolder(mixed fullAspectPath)
private static void | _getSerializationLocation()
private static void | _getWeaverGenerateAspectFolderPath()
private static void | _insertAspectWithPriority(mixed aspect, mixed aspectInstanceArray)
private static void | _serialize(mixed aspectManager)
void | addAspectFilePath(mixed aspectName, mixed aspectFilePath)
void | addWeaverGenerateAspectFilePath(mixed aspectName, mixed aspectFilePath)
static void | clearCache()
static void | getAllAspects()
void | getAspectFileMap()
static void | getAspectFilePathAtWeaving(mixed aspectName)
static void | getInstance()
static void | includeOnceAspect(mixed aspectName)
static void | loadUserDefineAspect()

## Field Detail

/aspect/AspectManager.class.php at line 17

### ASPECT_DEFINITION_FILE_PATERN

`public final str ASPECT_DEFINITION_FILE_PATERN = '/\.aspect\.php$/'`

/aspect/AspectManager.class.php at line 16

### SERIALIZATION_FILE_NAME

`public final str SERIALIZATION_FILE_NAME = 'AOWP_AspectManager'`

/aspect/AspectManager.class.php at line 18

### WEAVER_GENERATE_ASPECT_FOLDER

`public final str WEAVER_GENERATE_ASPECT_FOLDER = 'aspects'`

/aspect/AspectManager.class.php at line 19

### _aspectFileMap

`private mixed $_aspectFileMap = array()`

/aspect/AspectManager.class.php at line 20

### _weaverGenerateAspectFileMap

`private mixed $_weaverGenerateAspectFileMap = array()`

## Method Detail

/aspect/AspectManager.class.php at line 64

### _getAspectFilePath

`private void _getAspectFilePath(mixed aspectName)`

/aspect/AspectManager.class.php at line 49

### _getAspectName

`private static void _getAspectName(mixed filePath)`

/aspect/AspectManager.class.php at line 42

### _getRelativePathFromAspectFolder

`private static void _getRelativePathFromAspectFolder(mixed fullAspectPath)`

/aspect/AspectManager.class.php at line 22

### _getSerializationLocation

`private static void _getSerializationLocation()`

/aspect/AspectManager.class.php at line 26

### _getWeaverGenerateAspectFolderPath

`private static void _getWeaverGenerateAspectFolderPath()`

/aspect/AspectManager.class.php at line 112

### _insertAspectWithPriority

`private static void _insertAspectWithPriority(mixed aspect, mixed aspectInstanceArray)`

/aspect/AspectManager.class.php at line 45

### _serialize

`private static void _serialize(mixed aspectManager)`

/aspect/AspectManager.class.php at line 56

### addAspectFilePath

`public void addAspectFilePath(mixed aspectName, mixed aspectFilePath)`

/aspect/AspectManager.class.php at line 60

### addWeaverGenerateAspectFilePath

`public void addWeaverGenerateAspectFilePath(mixed aspectName, mixed aspectFilePath)`

/aspect/AspectManager.class.php at line 30

### clearCache

`public static void clearCache()`

/aspect/AspectManager.class.php at line 99

### getAllAspects

`public static void getAllAspects()`

/aspect/AspectManager.class.php at line 78

### getAspectFileMap

`public void getAspectFileMap()`

/aspect/AspectManager.class.php at line 73

### getAspectFilePathAtWeaving

`public static void getAspectFilePathAtWeaving(mixed aspectName)`

/aspect/AspectManager.class.php at line 95

### getInstance

`public static void getInstance()`

/aspect/AspectManager.class.php at line 83

### includeOnceAspect

`public static void includeOnceAspect(mixed aspectName)`

/aspect/AspectManager.class.php at line 34

### loadUserDefineAspect

`public static void loadUserDefineAspect()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr